Subject: Use of [Ramp] keyword

From: Stephen Peters <[email-masked]>
Date: Wed, 15 May 1996 08:24:20 -0700

Hello John:

     Yes, I agree that example b) is an incorrect
IBIS model.  The intent of the [Ramp] keyowrd is
to specify the *actual* amount of time it takes for
the output to transition from one state to another,
not simple give some edge rate.

               Regards,
               Stephen Peters
               Intel Corp.

Hello all,

A short question regarding interpretation of a model:

In the IBIS 2.1 spec, the ramp rate is defined as

  dV         20% to 80% voltage swing
  --  = --------------------------------------
  dt    Time to take to swing the above voltage

When I scan through a random set of IBIS models, I see the
following entries after the [Ramp] keyword of the following
types:

a)     dV/dt_r      1.84/0.65n 1.77/0.65n 1.87/0.53n

b)     dV/dt_r         4.1/1n          1.6/1n          8.2/1n

>From my point of view, a) is correct, but b) is not good.

I would like to be able to extract dV and dt individually.
As [Ramp] is an obligatory keyword, I hoped it would be
safe to do so .... until I saw b).

Thanks for your help,
John

-- 
John Fitzpatrick   <[email-masked]>    
Alcatel CIT, 4 rue de Broglie, 22304 Lannion, France
Tel: (+33)96.04.79.33  Fax: (+33)96.04.85.09